# ApplicationFramework
TKLCAF
TNaming

# TNaming_NewShapeIterator Class Reference

Iterates on all the descendants of a shape
.

`#include <TNaming_NewShapeIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_NewShapeIterator (const TopoDS_Shape &aShape, const Standard_Integer Transaction, const TDF_Label &access)
Standard_EXPORT | TNaming_NewShapeIterator (const TopoDS_Shape &aShape, const TDF_Label &access)
Standard_EXPORT | TNaming_NewShapeIterator (const TNaming_NewShapeIterator &anIterator)
| Iterates from the current Shape in <aniterator> .
Standard_EXPORT | TNaming_NewShapeIterator (const TNaming_Iterator &anIterator)
| Iterates from the current Shape in <aniterator> .
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TDF_Label | Label () const
Standard_EXPORT Handle_TNaming_NamedShape | NamedShape () const
Standard_EXPORT const TopoDS_Shape & | Shape () const
| Warning! Can be a Null Shape if a descendant is deleted. .
Standard_EXPORT Standard_Boolean | IsModification () const
| True if the new shape is a modification (split, fuse,etc...) of the old shape. .

## Private Member Functions

Standard_EXPORT | TNaming_NewShapeIterator (const TopoDS_Shape &aShape, const Standard_Integer Transaction, const Handle(TNaming_UsedShapes)&Shapes)
Standard_EXPORT | TNaming_NewShapeIterator (const TopoDS_Shape &aShape, const Handle(TNaming_UsedShapes)&Shapes)

## Private Attributes

TNaming_PtrNode | myNode
Standard_Integer | myTrans

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_NewShapeIterator::TNaming_NewShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Standard_Integer | Transaction,
|  | const TDF_Label & | access
| ) |

Standard_EXPORT TNaming_NewShapeIterator::TNaming_NewShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const TDF_Label & | access
| ) |

Standard_EXPORT TNaming_NewShapeIterator::TNaming_NewShapeIterator | ( | const TNaming_NewShapeIterator & | anIterator | ) |

Standard_EXPORT TNaming_NewShapeIterator::TNaming_NewShapeIterator | ( | const TNaming_Iterator & | anIterator | ) |

Standard_EXPORT TNaming_NewShapeIterator::TNaming_NewShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Standard_Integer | Transaction,
|  | const Handle(TNaming_UsedShapes)& | Shapes
| ) | `[private]`

Standard_EXPORT TNaming_NewShapeIterator::TNaming_NewShapeIterator | ( | const TopoDS_Shape & | aShape,
|  | const Handle(TNaming_UsedShapes)& | Shapes
| ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TNaming_NewShapeIterator::IsModification | ( |  | ) | const

Standard_EXPORT TDF_Label TNaming_NewShapeIterator::Label | ( |  | ) | const

Standard_Boolean TNaming_NewShapeIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT Handle_TNaming_NamedShape TNaming_NewShapeIterator::NamedShape | ( |  | ) | const

Standard_EXPORT void TNaming_NewShapeIterator::Next | ( |  | ) |

void TNaming_NewShapeIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_NewShapeIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_NewShapeIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TopoDS_Shape& TNaming_NewShapeIterator::Shape | ( |  | ) | const

## Field Documentation

TNaming_PtrNode TNaming_NewShapeIterator::myNode`[private]`

Standard_Integer TNaming_NewShapeIterator::myTrans`[private]`

The documentation for this class was generated from the following files:

- TNaming_NewShapeIterator.hxx
- TNaming_NewShapeIterator.lxx